Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.forms.util
Class LayoutStyle

    java.lang.Object
      com.jgoodies.forms.util.LayoutStyle

    public abstract class LayoutStyle

extends Object

An abstract class that describes a layout and design style guide. It provides constants used to lay out panels consistently.

Note: This class is work in progress and the API may change without notice. Therefore it is recommended to not write custom subclasses for production code. A future version of this class will likely collaborate with a class `LogicalSize` or `StyledSize`.

Version:
  $Revision: 1.15 $
Author:
  Karsten Lentzsch
See Also:
  `MacLayoutStyle`, `WindowsLayoutStyle`, `FormFactory`, `Borders`

Constructor Summary
`LayoutStyle()`

Method Summary
`abstract ConstantSize` | `getButtonBarPad()` Returns a pad used to separate a button bar from a component.
`static LayoutStyle` | `getCurrent()` Returns the current `LayoutStyle`.
`abstract Size` | `getDefaultButtonHeight()` Returns this style's default button height.
`abstract Size` | `getDefaultButtonWidth()` Returns this style's default button width.
`abstract ConstantSize` | `getDialogMarginX()` Returns this style's horizontal margin for general dialogs.
`abstract ConstantSize` | `getDialogMarginY()` Returns this style's vertical margin for general dialogs.
`abstract ConstantSize` | `getLabelComponentPadX()` Returns a gap used to separate a label and associated control.
`abstract ConstantSize` | `getLabelComponentPadY()` Returns a gap used to separate a label and associated control.
`abstract ConstantSize` | `getLinePad()` Returns a narrow vertical pad used to separate lines.
`abstract ConstantSize` | `getNarrowLinePad()` Returns a narrow vertical pad used to separate lines.
`abstract ConstantSize` | `getParagraphPad()` Returns a pad used to separate paragraphs.
`abstract ConstantSize` | `getRelatedComponentsPadX()` Returns a horizontal gap used to separate related controls.
`abstract ConstantSize` | `getRelatedComponentsPadY()` Returns a vertical gap used to separate related controls.
`abstract ConstantSize` | `getTabbedDialogMarginX()` Returns this style's horizontal margin for dialogs that consist of a tabbed pane.
`abstract ConstantSize` | `getTabbedDialogMarginY()` Returns this style's vertical margin for dialogs that consist of a tabbed pane.
`abstract ConstantSize` | `getUnrelatedComponentsPadX()` Returns a horizontal gap used to separate unrelated controls.
`abstract ConstantSize` | `getUnrelatedComponentsPadY()` Returns a vertical gap used to separate unrelated controls.
`abstract boolean` | `isLeftToRightButtonOrder()` Checks and answers whether buttons are typically ordered from left to right or from right to left.
`static void` | `setCurrent(LayoutStyle newLayoutStyle)` Set a new `LayoutStyle`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LayoutStyle

    public LayoutStyle()

Method Detail

### getCurrent

    public static LayoutStyle getCurrent()

  Returns the current `LayoutStyle`.

  Returns:
    the current `LayoutStyle`

### setCurrent

    public static void setCurrent(LayoutStyle newLayoutStyle)

  Set a new `LayoutStyle`.

  Parameters:
    `newLayoutStyle` - the style to be set

### getDefaultButtonWidth

    public abstract Size getDefaultButtonWidth()

  Returns this style's default button width.

  Returns:
    the default button width
  See Also:
    `getDefaultButtonHeight()`

### getDefaultButtonHeight

    public abstract Size getDefaultButtonHeight()

  Returns this style's default button height.

  Returns:
    the default button height
  See Also:
    `getDefaultButtonWidth()`

### getDialogMarginX

    public abstract ConstantSize getDialogMarginX()

  Returns this style's horizontal margin for general dialogs.

  Returns:
    the horizontal margin for general dialogs
  See Also:
    `getDialogMarginY()`, `getTabbedDialogMarginX()`

### getDialogMarginY

    public abstract ConstantSize getDialogMarginY()

  Returns this style's vertical margin for general dialogs.

  Returns:
    the vertical margin for general dialogs
  See Also:
    `getDialogMarginX()`, `getTabbedDialogMarginY()`

### getTabbedDialogMarginX

    public abstract ConstantSize getTabbedDialogMarginX()

  Returns this style's horizontal margin for dialogs that consist of a tabbed pane.

  Returns:
    the horizontal margin for dialogs that consist of a tabbed pane
  Since:
    1.0.3
  See Also:
    `getTabbedDialogMarginY()`, `getDialogMarginX()`

### getTabbedDialogMarginY

    public abstract ConstantSize getTabbedDialogMarginY()

  Returns this style's vertical margin for dialogs that consist of a tabbed pane.

  Returns:
    the vertical margin for dialogs that consist of a tabbed pane
  Since:
    1.0.3
  See Also:
    `getTabbedDialogMarginX()`, `getDialogMarginY()`

### getLabelComponentPadX

    public abstract ConstantSize getLabelComponentPadX()

  Returns a gap used to separate a label and associated control.

  Returns:
    a gap between label and associated control
  See Also:
    `getRelatedComponentsPadX()`, `getUnrelatedComponentsPadX()`

### getLabelComponentPadY

    public abstract ConstantSize getLabelComponentPadY()

  Returns a gap used to separate a label and associated control.

  Returns:
    a gap between label and associated control
  Since:
    1.4
  See Also:
    `getRelatedComponentsPadY()`, `getUnrelatedComponentsPadY()`

### getRelatedComponentsPadX

    public abstract ConstantSize getRelatedComponentsPadX()

  Returns a horizontal gap used to separate related controls.

  Returns:
    a horizontal gap between related controls
  See Also:
    `getLabelComponentPadX()`, `getRelatedComponentsPadY()`, `getUnrelatedComponentsPadX()`

### getRelatedComponentsPadY

    public abstract ConstantSize getRelatedComponentsPadY()

  Returns a vertical gap used to separate related controls.

  Returns:
    a vertical gap between related controls
  See Also:
    `getRelatedComponentsPadX()`, `getUnrelatedComponentsPadY()`

### getUnrelatedComponentsPadX

    public abstract ConstantSize getUnrelatedComponentsPadX()

  Returns a horizontal gap used to separate unrelated controls.

  Returns:
    a horizontal gap between unrelated controls
  See Also:
    `getLabelComponentPadX()`, `getUnrelatedComponentsPadY()`, `getRelatedComponentsPadX()`

### getUnrelatedComponentsPadY

    public abstract ConstantSize getUnrelatedComponentsPadY()

  Returns a vertical gap used to separate unrelated controls.

  Returns:
    a vertical gap between unrelated controls
  See Also:
    `getUnrelatedComponentsPadX()`, `getRelatedComponentsPadY()`

### getNarrowLinePad

    public abstract ConstantSize getNarrowLinePad()

  Returns a narrow vertical pad used to separate lines.

  Returns:
    a narrow vertical pad used to separate lines
  See Also:
    `getLinePad()`, `getParagraphPad()`

### getLinePad

    public abstract ConstantSize getLinePad()

  Returns a narrow vertical pad used to separate lines.

  Returns:
    a vertical pad used to separate lines
  See Also:
    `getNarrowLinePad()`, `getParagraphPad()`

### getParagraphPad

    public abstract ConstantSize getParagraphPad()

  Returns a pad used to separate paragraphs.

  Returns:
    a vertical pad used to separate paragraphs
  See Also:
    `getNarrowLinePad()`, `getLinePad()`

### getButtonBarPad

    public abstract ConstantSize getButtonBarPad()

  Returns a pad used to separate a button bar from a component.

  Returns:
    a vertical pad used to separate paragraphs
  Since:
    1.0.3
  See Also:
    `getRelatedComponentsPadY()`, `getUnrelatedComponentsPadY()`

### isLeftToRightButtonOrder

    public abstract boolean isLeftToRightButtonOrder()

  Checks and answers whether buttons are typically ordered from left to right or from right to left. Useful for building button bars that shall comply with the platform's layout style guide.

  For example the Windows style guide recommends to layout out OK, Cancel, Apply from left to right, where the Mac Aqua style guide recommends to layout out these buttons from right to left.

  Although most button sequences shall honor this order some buttons require a left to right order. For example Back, Next or Move Left, Move Right.

  Returns:
    true if buttons are typically ordered from left to right
  Since:
    1.0.3
  See Also:
    `ButtonBarBuilder2`, `ButtonBarFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2011 JGoodies Karsten Lentzsch. All Rights Reserved.